This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: OpenSSL causes buffer overrun exception
Type: crash Stage: resolved
Components: Windows Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: python-dev, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2015-05-14 04:43 by steve.dower, last changed 2022-04-11 14:58 by admin. This issue is now closed.

Messages (5)
msg243151 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-05-14 04:43
There is an issue where an optimised OpenSSL function causes a buffer overrun in 64-bit Windows builds and terminates the process (this is why the buildbots aren't getting very far right now).

I suspect it may be a compiler issue, but for now I'm disabling the optimised function. This issue is a reminder to myself to re-enable the function when we have a fix. I'll follow up with the compiler team and possibly the OpenSSL team separately.
msg243152 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-05-14 04:44
New changeset 25d78aa1ec21 by Steve Dower in branch 'default':
Issue #24186: Disable optimised OpenSSL functions on 64-bit Windows to avoid crashing.
https://hg.python.org/cpython/rev/25d78aa1ec21
msg248279 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-08-08 16:06
I did not get a helpful response from the compiler team, so the optimized function will have to stay disabled for 3.5.

Moving this to 3.6 in the hope that we can figure it out by then.
msg275462 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-09-09 21:57
New changeset 6a8a6e26a1bc by Steve Dower in branch 'default':
Issue #24186: Reenable optimised OpenSSL function
https://hg.python.org/cpython/rev/6a8a6e26a1bc
msg275488 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-09-09 23:19
Buildbots look okay with this now, so considering it closed.
History
Date User Action Args
2022-04-11 14:58:16adminsetgithub: 68374
2016-09-09 23:19:42steve.dowersetstatus: open -> closed
resolution: fixed
messages: + msg275488

stage: resolved
2016-09-09 21:57:50python-devsetmessages: + msg275462
2015-08-08 16:06:55steve.dowersetmessages: + msg248279
versions: + Python 3.6, - Python 3.5
2015-05-14 04:44:18python-devsetnosy: + python-dev
messages: + msg243152
2015-05-14 04:43:04steve.dowercreate